
QGIS Application - Bug report #3419

QGIS hangs on WMS layer without network

2011-01-17 12:40 PM - marisn -

Status: Closed

Priority: Low

Assignee: Jürgen Fischer

Category: Web Services clients/WMS

Affected QGIS version:master Regression?: No

Operating System: Gentoo Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 13479

Description

Steps to reproduce:

    -  Add a WMS layer;

    -  Disconnect network;

    -  Zoom/Pan map canvas.

QGIS get's stuck. It's impossible to cancel redraw - only kill QGIS.

QGIS r15051M Qt 4.7.1

strace is spilling nonstop:

poll([{fd=3, events=POLLIN}, {fd=8, events=POLLIN}, {fd=9, events=POLLIN}, {fd=7, events=POLLIN}, {fd=10,

events=POLLIN}], 5, 0) = 0 (Timeout)

read(7, 0x1a06374, 4096)                = -1 EAGAIN (Resource temporarily unavailable)

read(7, 0x1a06374, 4096)                = -1 EAGAIN (Resource temporarily unavailable)

poll([{fd=3, events=POLLIN}, {fd=8, events=POLLIN}, {fd=9, events=POLLIN}, {fd=7, events=POLLIN}, {fd=10,

events=POLLIN}], 5, 0) = 0 (Timeout)

read(7, 0x1a06374, 4096)                = -1 EAGAIN (Resource temporarily unavailable)

read(7, 0x1a06374, 4096)                = -1 EAGAIN (Resource temporarily unavailable)

poll([{fd=3, events=POLLIN}, {fd=8, events=POLLIN}, {fd=9, events=POLLIN}, {fd=7, events=POLLIN}, {fd=10,

events=POLLIN}], 5, 0) = 0 (Timeout)

read(7, 0x1a06374, 4096)                = -1 EAGAIN (Resource temporarily unavailable)

read(7, 0x1a06374, 4096)                = -1 EAGAIN (Resource temporarily unavailable)

History

#1 - 2011-12-16 01:50 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#2 - 2012-04-16 06:24 AM - Paolo Cavallini

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to master

- Target version changed from Version 1.7.4 to Version 1.8.0

#3 - 2012-08-18 05:30 AM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

- Pull Request or Patch supplied set to No
fixed in commit:bb623a8c
